Page MenuHomePhabricator

The .meta.domain is incorrect in EventBus when other wiki is used
Closed, ResolvedPublic

Description

When posting a job event to a queue different from the local wiki queue the domain name in .meta.domain is incorrectly set to the local wiki domain name.

Details

Related Gerrit Patches:

Event Timeline

Pchelolo triaged this task as Medium priority.Apr 17 2018, 2:00 PM
Pchelolo created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2018, 2:00 PM
mobrovac updated the task description. (Show Details)Apr 17 2018, 2:48 PM

Change 427135 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@master] Set the correct domain name when creating event for a foreight wiki.

https://gerrit.wikimedia.org/r/427135

Change 427135 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Set the correct domain name when creating event for a foreign wiki

https://gerrit.wikimedia.org/r/427135

fdans moved this task from Incoming to Radar on the Analytics board.Apr 19 2018, 4:46 PM
Pchelolo closed this task as Resolved.May 1 2018, 5:10 PM
Pchelolo claimed this task.

THis has been deployed, the domain is now reported correctly.